unit TIPTCdemou;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  IPTC, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    IPTC1: TIPTC;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
  var i:integer;
begin
  if opendialog1.execute then begin
    ListBox1.items.clear;
    IPTC1.Filename:=opendialog1.filename;
    IPTC1.readIPTC;
    with IPTC1.IPTCData do begin
      if Caption<>'' then ListBox1.items.add('Caption: '+Caption);
      if Headline<>'' then ListBox1.items.add('Headline: '+Headline);
      if CaptionWriter<>'' then ListBox1.items.add('Captionwriter: '+CaptionWriter);
      if SpecialInstructions<>'' then ListBox1.items.add('Special instructions: '+SpecialInstructions);
      if ByLine<>'' then ListBox1.items.add('Byline: '+ByLine);
      if ByLineTitle<>'' then ListBox1.items.add('Bylinetitle: '+ByLineTitle);
      if Credit<>'' then ListBox1.items.add('Credit: '+Credit);
      if Source<>'' then ListBox1.items.add('Source: '+Source);
      if ObjectName<>'' then ListBox1.items.add('Objectname: '+ObjectName);
      if DateCreated>0 then ListBox1.items.add('Date created: '+datetostr(DateCreated));
      if City<>'' then ListBox1.items.add('City: '+City);
      if State<>'' then ListBox1.items.add('State: '+State);
      if Country<>'' then ListBox1.items.add('Country: '+Country);
      if TransmissionReference<>'' then ListBox1.items.add('Transmission reference: '+TransmissionReference);
      if Priority>0 then ListBox1.items.add('Priority: '+inttostr(Priority));
      if CopyrightNotice<>'' then ListBox1.items.add('Copyright notice: '+CopyrightNotice);
      if Category<>'' then ListBox1.items.add('Category: '+Category);
      if SupplementalCategorys.count>0 then begin
        ListBox1.items.add('');
        ListBox1.items.add('Supplemental categorys:');
        for i:= 0 to SupplementalCategorys.count-1 do ListBox1.items.add('  '+SupplementalCategorys[i]);
      end;
      if Keywords.count>0 then begin
        ListBox1.items.add('');
        ListBox1.items.add('Keywords:');
        for i:= 0 to Keywords.count-1 do ListBox1.items.add('  '+Keywords[i]);
      end;
    end;
    if ListBox1.items.count=0 then ListBox1.items.add('no IPTC information found in this file');
  end;
end;

end.
